{ pubkeys, ... }:
{
  imports = [
    ./hardware-configuration.nix
  ];

  modules = {
    services.tailscale = {
      enable = true;
      tags = [
        "server"
        "backup"
      ];
    };
  };

  services = {
    openssh.enable = true;
  };

  users.users.root.openssh.authorizedKeys.keys = [ pubkeys.ny ];

}
